List brokerage firm derogations
curl --request POST \
--url https://api.example.com/view-specific/{brokerageFirmId}/derogations \
--header 'Content-Type: application/json' \
--data '
{
"statuses": [],
"brokerageFirmName": "<string>",
"queryString": "<string>",
"productIds": [
"<string>"
]
}
'import requests
url = "https://api.example.com/view-specific/{brokerageFirmId}/derogations"
payload = {
"statuses": [],
"brokerageFirmName": "<string>",
"queryString": "<string>",
"productIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
statuses: [],
brokerageFirmName: '<string>',
queryString: '<string>',
productIds: ['<string>']
})
};
fetch('https://api.example.com/view-specific/{brokerageFirmId}/derogations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"customers": [
{
"type": "<string>",
"id": "<string>",
"createdAt": "<string>",
"lastModifiedAt": "<string>",
"policies": [
"<string>"
],
"invoices": [
"<string>"
],
"role": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"preferredPaymentMethodId": "<string>"
}
],
"policy": {
"claimsHistory": [
{
"year": 123,
"claimsNumber": 123,
"fleetSize": 123
}
],
"owners": [
{
"userId": "<string>",
"email": "<string>",
"roles": [
{
"productId": "<string>",
"roleId": "<string>"
}
]
}
],
"type": "<string>",
"id": "<string>",
"productId": "<string>",
"createdAt": "<string>",
"lastModifiedAt": "<string>",
"assets": [
"<string>"
],
"customers": [
"<string>"
],
"periodDuration": {
"amount": 123
},
"invoicingConfig": {
"earlyPayment": {
"amount": 123
}
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"parent": "<string>",
"brokerageFirm": "<string>",
"incrementalId": 123,
"externalId": "<string>",
"author": {
"firstName": "<string>",
"lastName": "<string>",
"userId": "<string>",
"email": "<string>",
"brokerRole": "<string>"
},
"signedAt": "<string>",
"startedAt": "<string>",
"endedAt": "<string>",
"stoppedAt": "<string>",
"suspendedAt": "<string>",
"reactivatedAt": "<string>",
"acceptedEmailDomains": [
"<string>"
],
"acceptedQuoteOptions": {
"availableConfigs": [
{
"tier": "<string>",
"excess": "<string>",
"perils": [
{
"id": "<string>",
"required": true,
"options": [
"<string>"
],
"showWhen": {
"fieldKey": "<string>",
"fieldValue": "<string>",
"condition": "<string>",
"value": "<string>"
}
}
]
}
],
"defaultConfig": {
"tier": "<string>",
"excess": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": true,
"unavailabilityMessage": "<string>"
}
]
}
},
"additionalQuoteComponents": {
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
},
"quote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"basePrice": 123
},
"proratedQuote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"basePrice": 123
},
"maximumNumberOfBikes": 123,
"selectedTier": {},
"stop": {
"reason": "<string>",
"details": [
{
"key": "<string>",
"value": "<string>"
}
],
"createdAt": "<string>"
},
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
]
},
"hasOpenedClientAccount": true,
"derogation": {
"id": "<string>",
"policyId": "<string>",
"branchId": "<string>",
"createdAt": "<string>"
},
"brokerageFirm": {
"id": "<string>",
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "<string>",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>"
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"branch": {
"branchId": "<string>",
"createdAt": "<string>",
"mergedAt": "<string>",
"derogations": [
{
"derogationId": "<string>",
"createdAt": "<string>"
}
]
}
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}view-specific
List brokerage firm derogations
POST
/
view-specific
/
{brokerageFirmId}
/
derogations
List brokerage firm derogations
Path Parameters
Query Parameters
the number of items to return
the page to retrieve
Body
application/json
Response
200 - application/json
Was this page helpful?
⌘I

